Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 239876 - Add H2 to JDBC Schema list
Add H2 to JDBC Schema list
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
7.4
PC Linux
: P3 (vote)
: 8.0.1
Assigned To: Libor Fischmeistr
issues@db
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-30 20:04 UTC by matthias42
Modified: 2014-07-19 14:42 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch v2 (1.39 KB, patch)
2013-12-31 12:36 UTC, matthias42
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias42 2013-12-30 20:04:57 UTC
H2 is not yet represented in the jdbc driver list - the suggested fix adds the template:

# This patch file was generated by NetBeans IDE
# It uses platform neutral UTF-8 encoding and \n newlines.
--- Base (BASE)
+++ Locally Modified (Based On LOCAL)
@@ -329,6 +329,10 @@
         add("SQLite",
             "org.sqlite.JDBC",
             "jdbc:sqlite:<FILE>");
+        
+        add("H2 Database Engine",
+            "org.h2.Driver",
+            "jdbc:h2:<FILE>");
     }
     
     public static Set<String> getDrivers() {
Comment 1 matthias42 2013-12-31 12:36:48 UTC
Created attachment 143538 [details]
proposed patch v2
Comment 2 Libor Fischmeistr 2014-07-10 07:57:04 UTC
Patch applied - http://hg.netbeans.org/core-main/rev/44dfce1153f4

Thanks Matthias
Comment 3 Quality Engineering 2014-07-19 10:17:09 UTC
Integrated into 'main-silver', will be available in build *201407190718* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/44dfce1153f4
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #239876: Add H2 to JDBC Schema list
Comment 4 matthias42 2014-07-19 14:42:09 UTC
Thank you.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo